Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: martin rudalics <[email-masked]>
Date: Sat, 02 Feb 2019 10:30:50 +0100

> For some reason, 26.1 sometimes decides to make another frame for C, but
 > only if you start from B, i.e you add onde 'C-x o' to the beginning of the
 > recipe, after splitting. This is a bug in the current xref.el or, more
 > likely, in window.el's window-splitting heuristics. The bug goes away when
 > you have larger frames, which explains why I didn't catch it earlier.

Note that it is never a bug to not split a window in any of these
cases.  Making a new frame is the only way out when (1) existing
windows are too small to get split and (2) windows cannot be reused
because they are dedicated or 'inhibit-same-window' is set.  And the
choice to not split a window when it's too small is usually up to the
user and applications just have to respect it.

martin